/* 환경정보 소스

   This file is part of otak-godori.

   Copyright (C) 2007 Otak-godori Project.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
*/

#include "otak-lib/otak-util/otsys.h"
#include "ogconf.h"


static gchar *exec_abs_path = NULL;



/*
 * public
 */

void
og_conf_dupset_exec_abs_path (const gchar *value)
{
    exec_abs_path = ot_sys_g_free (exec_abs_path);
    exec_abs_path = g_strdup (value);
}

const gchar*
og_conf_get_exec_abs_path (void)
{
    return exec_abs_path;
}
